ros-rolling-robot-state-publisher (3.5.5-2resolute) resolute; urgency=high

  * Use new ROSIDL aggregate CMake target (#246 <https://github.com/ros/robot_state_publisher/issues/246>)
  * Improvements (#245 <https://github.com/ros/robot_state_publisher/issues/245>)
  * Contributors: Alejandro Hernández Cordero, Emerson Knapp

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 09 Apr 2026 05:00:00 -0000

ros-rolling-robot-state-publisher (3.5.4-2resolute) resolute; urgency=high

  * Update subscription callback signatures (#241 <https://github.com/ros/robot_state_publisher/issues/241>)
  * Contributors: Maurice Alexander Purnawan

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 09 Jan 2026 06:00:00 -0000

ros-rolling-robot-state-publisher (3.5.3-2resolute) resolute; urgency=high

  * Add functionality to read description from a topic instead of a parameter (#234 <https://github.com/ros/robot_state_publisher/issues/234>)
  * Removed tf2_ros warning (#239 <https://github.com/ros/robot_state_publisher/issues/239>)
  * fix cmake deprecation (#232 <https://github.com/ros/robot_state_publisher/issues/232>)
  * Removed tf2_ros warning (#238 <https://github.com/ros/robot_state_publisher/issues/238>)
  * Removed orocos kdl vendor dependency (#237 <https://github.com/ros/robot_state_publisher/issues/237>)
  * Removed warnings in geometry2 (#236 <https://github.com/ros/robot_state_publisher/issues/236>)
  * Contributors: Alejandro Hernández Cordero, Kenji Brameld (TRACLabs), mosfet80

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 17 Oct 2025 05:00:00 -0000

ros-rolling-robot-state-publisher (3.5.2-2resolute) resolute; urgency=high

  * Replace deprecated tf2_ros headers (#235 <https://github.com/ros/robot_state_publisher/issues/235>)
  * Contributors: Alejandro Hernández Cordero

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 18 Jul 2025 05:00:00 -0000

ros-rolling-robot-state-publisher (3.5.1-2resolute) resolute; urgency=high

  * Removed deprecated command-line argument (#233 <https://github.com/ros/robot_state_publisher/issues/233>)
  * Contributors: Alejandro Hernández Cordero

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 19 May 2025 05:00:00 -0000

ros-rolling-robot-state-publisher (3.5.0-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 25 Apr 2025 05:00:00 -0000

ros-rolling-robot-state-publisher (3.4.2-2resolute) resolute; urgency=high

  * Use emplace() with std::map`s (`#231 <https://github.com/ros/robot_state_publisher/issues/231>)
  * Remove CODEOWNERS and mirror-rolling-to-main workflow (#229 <https://github.com/ros/robot_state_publisher/issues/229>)
  * Contributors: Alejandro Hernández Cordero, Patrick Roncagliolo

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 20 Dec 2024 06:00:00 -0000

ros-rolling-robot-state-publisher (3.4.1-2resolute) resolute; urgency=high

  * update urdf model header (#223 <https://github.com/ros/robot_state_publisher/issues/223>)
  * Contributors: Alejandro Hernández Cordero

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 28 Aug 2024 05:00:00 -0000

ros-rolling-robot-state-publisher (3.4.0-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 26 Apr 2024 05:00:00 -0000

ros-rolling-robot-state-publisher (3.3.3-2resolute) resolute; urgency=high

  * Fix reload after a description with a mimic joint (#212 <https://github.com/ros/robot_state_publisher/issues/212>)
  * Contributors: Guillaume Doisy

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 24 Jan 2024 06:00:00 -0000

ros-rolling-robot-state-publisher (3.3.2-2resolute) resolute; urgency=high

  * Remove ament_target_dependencies. (#209 <https://github.com/ros/robot_state_publisher/issues/209>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 06 Nov 2023 06:00:00 -0000

ros-rolling-robot-state-publisher (3.3.1-2resolute) resolute; urgency=high

  * Improve log messages (#206 <https://github.com/ros/robot_state_publisher/issues/206>)
  * Contributors: Nick Lamprianidis

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 07 Jun 2023 05:00:00 -0000

ros-rolling-robot-state-publisher (3.3.0-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 28 Apr 2023 05:00:00 -0000

ros-rolling-robot-state-publisher (3.2.0-2resolute) resolute; urgency=high

  * Update robot_state_publisher to C++17. (#204 <https://github.com/ros/robot_state_publisher/issues/204>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 11 Apr 2023 05:00:00 -0000

ros-rolling-robot-state-publisher (3.1.2-2resolute) resolute; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#203 <https://github.com/ros/robot_state_publisher/issues/203>)
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 13 Feb 2023 06:00:00 -0000

ros-rolling-robot-state-publisher (3.1.1-2resolute) resolute; urgency=high

  * Mirror rolling to ros2
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 13 Sep 2022 05:00:00 -0000

ros-rolling-robot-state-publisher (3.1.0-2resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 10 May 2022 05:00:00 -0000

ros-rolling-robot-state-publisher (3.0.2-2resolute) resolute; urgency=high

  * Depend on orocos_kdl_vendor (#191 <https://github.com/ros/robot_state_publisher/issues/191>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 05 Apr 2022 05:00:00 -0000

ros-rolling-robot-state-publisher (3.0.1-2resolute) resolute; urgency=high

  * export dependencies, to use robot_state_publisher as a component (#193 <https://github.com/ros/robot_state_publisher/issues/193>)
  * Contributors: Kenji Brameld

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Mar 2022 05:00:00 -0000

ros-rolling-robot-state-publisher (3.0.0-2resolute) resolute; urgency=high

  * Fix include order for cpplint (#186 <https://github.com/ros/robot_state_publisher/issues/186>)
  * Change how parameter updates are handled (#180 <https://github.com/ros/robot_state_publisher/issues/180>)
  * Install includes to instal/${PROJECT_NAME} (#184 <https://github.com/ros/robot_state_publisher/issues/184>)
  * Make the change_fixed_joint test more robust (#183 <https://github.com/ros/robot_state_publisher/issues/183>)
  * Add in a test to make sure fixed transforms change on update
  * Small C++ nice-isms in the tests
  * Switch to using target_include_directories for tests
  * Publish new fixed transforms when URDF is updated
  * Make joint_states subscription QoS configurable; default to SensorDataQoS (#179 <https://github.com/ros/robot_state_publisher/issues/179>)
  * Remove dependency on urdfdom_headers (#168 <https://github.com/ros/robot_state_publisher/issues/168>)
  * Contributors: Anthony Deschamps, Chris Lalancette, Jacob Perron, Russell Joyce, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-rolling-robot-state-publisher (2.7.0-2resolute) resolute; urgency=high

  * Fix deprecated subscriber callbacks (#173 <https://github.com/ros/robot_state_publisher/issues/173>)
  * Contributors: Abrar Rahman Protyasha

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 18 Oct 2021 05:00:00 -0000

ros-rolling-robot-state-publisher (2.6.0-2resolute) resolute; urgency=high

  * Cleanup the documentation in the RobotStatePublisher class. (#172 <https://github.com/ros/robot_state_publisher/issues/172>)
  * Always publish fixed frames to /tf_static (#158 <https://github.com/ros/robot_state_publisher/issues/158>)
  * corrected publish_frequency default in README (#166 <https://github.com/ros/robot_state_publisher/issues/166>)
  * Contributors: Chris Lalancette, Jacob Perron, Nils Schulte

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 02 Aug 2021 05:00:00 -0000

ros-rolling-robot-state-publisher (2.5.0-2resolute) resolute; urgency=high

  * Add tf frame_prefix parameter (#159 <https://github.com/ros/robot_state_publisher/issues/159>)
  * Contributors: Steve Nogar, Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 11 Jun 2021 05:00:00 -0000

ros-rolling-robot-state-publisher (2.4.3-2resolute) resolute; urgency=high

  * Stop rejecting unknown parameters. (#161 <https://github.com/ros/robot_state_publisher/issues/161>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 19 Apr 2021 05:00:00 -0000

ros-rolling-robot-state-publisher (2.4.2-2resolute) resolute; urgency=high

  * clean up license to be standard bsd 3 clause (#130 <https://github.com/ros/robot_state_publisher/issues/130>)
  * Update the maintainers. (#151 <https://github.com/ros/robot_state_publisher/issues/151>)
  * Contributors: Chris Lalancette, Tully Foote

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-rolling-robot-state-publisher (2.4.1-2resolute) resolute; urgency=high

  * fix types in range loops to avoid copy due to different type (#143 <https://github.com/ros/robot_state_publisher/issues/143>)
  * Make sure not to crash on an invalid URDF. (#141 <https://github.com/ros/robot_state_publisher/issues/141>)
  * Contributors: Chris Lalancette, Dirk Thomas

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Sep 2020 05:00:00 -0000

ros-rolling-robot-state-publisher (2.4.0-2resolute) resolute; urgency=high

  * Replace deprecated launch_ros usage (#137 <https://github.com/ros/robot_state_publisher/issues/137>)
  * code style only: wrap after open parenthesis if not in one line (#129 <https://github.com/ros/robot_state_publisher/issues/129>)
  * Refactor the ROS 2 code to be more modern (#126 <https://github.com/ros/robot_state_publisher/issues/126>)
  * Switch to using TARGET_FILE to find the binary targets on Windows.
  * Fix tests on Windows.
  * Make the error message much nicer on Windows.
  * robot_state_publisher_node -> robot_state_publisher
  * Fix test build on Windows.
  * Get rid of redundant declaration.
  * Guard against negative publish_frequencies.
  * Switch to modern launch_testing ReadyToTest.
  * Add testing to robot_state_publisher.
  * Update some example launch files.
  * Implement the ability to change the parameters on the fly.
  * Fix silly bug while computing the publish interval.
  * Refactor to have a "setup" function during the constructor and later on during the parameter setup.
  * Mark things as explicit and final.
  * Update the documentation.
  * Make robot_state_publisher composable.
  * Contributors: Chris Lalancette, Dirk Thomas, Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 30 Apr 2020 05:00:00 -0000

ros-rolling-robot-state-publisher (2.3.1-2resolute) resolute; urgency=high

  * Switch the license back to BSD. (#121 <https://github.com/ros/robot_state_publisher/issues/121>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-rolling-robot-state-publisher (2.3.0-2resolute) resolute; urgency=high

  * Install include directories (#31 <https://github.com/ros2/robot_state_publisher/issues/31>)
  * Publish URDF string on startup (#24 <https://github.com/ros2/robot_state_publisher/issues/24>)
  * Contributors: Patrick Beeson, Poh Zhi-Ee, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-rolling-robot-state-publisher (2.2.4-2resolute) resolute; urgency=high

  * Remove unused Eigen3 dependency (#27 <https://github.com/ros2/robot_state_publisher/issues/27>) (#29 <https://github.com/ros2/robot_state_publisher/issues/29>)
  * Don't export exe as library (#25 <https://github.com/ros2/robot_state_publisher/issues/25>) (ros2 #28 <https://github.com/ros2/robot_state_publisher/issues/28>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 06 Sep 2019 05:00:00 -0000

ros-rolling-robot-state-publisher (2.2.3-2resolute) resolute; urgency=high

  * Use rclcpp::Time for stamping transforms (#20 <https://github.com/ros2/robot_state_publisher/issues/20>)
  * Contributors: Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 12 Jun 2019 05:00:00 -0000

ros-rolling-robot-state-publisher (2.2.2-2resolute) resolute; urgency=high

  * changes to avoid deprecated API's (#19 <https://github.com/ros2/robot_state_publisher/issues/19>)
  * Contributors: William Woodall

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 08 May 2019 05:00:00 -0000

ros-rolling-robot-state-publisher (2.2.1-2resolute) resolute; urgency=high

  * Updated to avoid deprecated API. (#18 <https://github.com/ros2/robot_state_publisher/issues/18>)
  * Contributors: William Woodall

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 26 Apr 2019 05:00:00 -0000

ros-rolling-robot-state-publisher (2.2.0-2resolute) resolute; urgency=high

  * Set urdf content as parameter. (#15 <https://github.com/ros2/robot_state_publisher/issues/15>)
  * Contributors: Karsten Knese

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-rolling-robot-state-publisher (2.1.0-2resolute) resolute; urgency=high

  * The robot model is now published on the ``robot_description`` topic as a ``std_msgs/String.msg``. (#9 <https://github.com/ros2/robot_state_publisher/issues/9>)
  * Contributors: Brett, Mikael Arguedas

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 27 Jun 2018 05:00:00 -0000

ros-rolling-robot-state-publisher (1.13.4-2resolute) resolute; urgency=high

  * Use ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#60 <https://github.com/ros/robot_state_publisher/issues/60>)
  * Error log for empty JointState.position was downgraded to a throttled warning (#64 <https://github.com/ros/robot_state_publisher/issues/64>)
  * Contributors: Jochen Sprickerhof, Sébastien BARTHÉLÉMY

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 05 Jan 2017 06:00:00 -0000

ros-rolling-robot-state-publisher (1.13.3-2resolute) resolute; urgency=high

  * Added a new parameter "ignore_timestamp" (#65 <https://github.com/ros/robot_state_publisher/issues/65>)
  * Fixed joints are not published over tf_static by default (#56 <https://github.com/ros/robot_state_publisher/issues/56>)
  * Fixed segfault on undefined robot_description (#61 <https://github.com/ros/robot_state_publisher/issues/61>)
  * Fixed cmake eigen3 warning (#62 <https://github.com/ros/robot_state_publisher/issues/62>)
  * Contributors: Davide Faconti, Ioan A Sucan, Johannes Meyer, Robert Haschke

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 20 Oct 2016 05:00:00 -0000

ros-rolling-robot-state-publisher (1.13.2-2resolute) resolute; urgency=high

  * Add target_link_libraries for joint_state_listener library + install it (#54 <https://github.com/ros/robot_state_publisher//issues/54>)
  * Contributors: Kartik Mohta

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 10 Jun 2016 05:00:00 -0000

ros-rolling-robot-state-publisher (1.13.1-2resolute) resolute; urgency=high

  * Add back future dating for robot_state_publisher (#49 <https://github.com/ros/robot_state_publisher/issues/49>) (#51 <https://github.com/ros/robot_state_publisher/issues/51>)
  * Fix subclassing test (#48 <https://github.com/ros/robot_state_publisher/issues/48>)
  * Support for subclassing (#45 <https://github.com/ros/robot_state_publisher/issues/45>)
    * Add joint_state_listener as a library
  * Contributors: Jackie Kay

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 20 May 2016 05:00:00 -0000

ros-rolling-robot-state-publisher (1.13.0-2resolute) resolute; urgency=high

  * fix bad rebase
  * Contributors: Jackie Kay, Paul Bovbel

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 12 Apr 2016 05:00:00 -0000

ros-rolling-robot-state-publisher (1.12.1-2resolute) resolute; urgency=high

  * Merge pull request #42 <https://github.com/ros/robot_state_publisher/issues/42> from ros/fix_tests_jade
    Fix tests for Jade
  * Correct failing tests
  * Re-enabling rostests
  * Merge pull request #39 <https://github.com/ros/robot_state_publisher/issues/39> from scpeters/issue_38
  * Fix API break in publishFixedTransforms
    A bool argument was added to
    RobotStatePublisher::publishFixedTransforms
    which broke API.
    I've added a default value of false, to match
    the default specified in the JointStateListener
    constructor.
  * Contributors: Jackie Kay, Jonathan Bohren, Steven Peters

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 22 Feb 2016 06:00:00 -0000

ros-rolling-robot-state-publisher (1.12.0-2resolute) resolute; urgency=high

  * Merge pull request #37 <https://github.com/ros/robot_state_publisher/issues/37> from clearpathrobotics/static-default
    Publish fixed joints over tf_static by default
  * Merge pull request #34 <https://github.com/ros/robot_state_publisher/issues/34> from ros/tf2-static-jade
    Port to tf2 and enable using static broadcaster
  * Merge pull request #32 <https://github.com/ros/robot_state_publisher/issues/32> from shadow-robot/fix_issue#19 <https://github.com/shadow-robot/fix_issue/issues/19>
    Check URDF to distinguish fixed joints from floating joints. Floating joint are ignored by the publisher.
  * Merge pull request #26 <https://github.com/ros/robot_state_publisher/issues/26> from xqms/remove-debug
    get rid of argv[0] debug output on startup
  * Contributors: David Lu!!, Ioan A Sucan, Jackie Kay, Max Schwarz, Paul Bovbel, Toni Oliver

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 21 Oct 2015 05:00:00 -0000

ros-rolling-robot-state-publisher (1.11.1-2resolute) resolute; urgency=high

  * Merge pull request #41 <https://github.com/ros/robot_state_publisher/issues/41> from ros/fix_tests_indigo
    Re-enable and clean up rostests
  * Correct failing tests
  * Re-enabling rostests
  * Fix API break in publishFixedTransforms
    A bool argument was added to
    RobotStatePublisher::publishFixedTransforms
    which broke API.
    I've added a default value of false, to match
    the default specified in the JointStateListener
    constructor.
  * Contributors: Jackie Kay, Jonathan Bohren, Steven Peters

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 22 Feb 2016 06:00:00 -0000

ros-rolling-robot-state-publisher (1.11.0-2resolute) resolute; urgency=high

  * Merge pull request #28 <https://github.com/ros/robot_state_publisher/issues/28> from clearpathrobotics/tf2-static

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 21 Oct 2015 05:00:00 -0000

ros-rolling-robot-state-publisher (1.10.4-2resolute) resolute; urgency=high

  * Merge pull request #21 <https://github.com/ros/robot_state_publisher/issues/21> from rcodddow/patch-1
  * Fix for joint transforms not being published anymore after a clock reset (e.g. when playing a bagfile and looping)
  * Contributors: Ioan A Sucan, Robert Codd-Downey, Timm Linder

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 30 Nov 2014 06:00:00 -0000

ros-rolling-robot-state-publisher (1.10.3-2resolute) resolute; urgency=high

  * add version depend on orocos_kdl >= 1.3.0
    Conflicts:
    package.xml
  * Update KDL SegmentMap interface to optionally use shared pointers
    The KDL Tree API optionally uses shared pointers on platforms where
    the STL containers don't support incomplete types.
  * Contributors: Brian Jensen, William Woodall

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 24 Jul 2014 05:00:00 -0000

ros-rolling-robot-state-publisher (1.10.0-2resolute) resolute; urgency=high

  * minor style fixes
  * Add support for mimic tag.
  * Contributors: Ioan Sucan, Konrad Banachowicz

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 03 Mar 2014 06:00:00 -0000


